---
title: "bigquery/ERR/2022_001"
linkTitle: "ERR/2022_001"
weight: 1
type: docs
description: >
  BigQuery jobs not failing due to concurrent DML updates on the same table
---

**Product**: [BigQuery](https://cloud.google.com/bigquery)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Multiple DML queries running concurrently are conflicting with each other.

### Remediation

Consider spacing out the DML operations to a single table enough so that they
don't overlap, or start another one only after the earlier one is completed.

### Further information

- [Learn how BigQuery handles DML statements](https://cloud.google.com/blog/products/data-analytics/dml-without-limits-now-in-bigquery)
