---
title: "bigquery/ERR/2022_002"
linkTitle: "ERR/2022_002"
weight: 1
type: docs
description: >
  BigQuery jobs are not failing due to results being larger than the maximum response size
---

**Product**: [BigQuery](https://cloud.google.com/bigquery)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Query results for SQL queries in BigQuery that generate excessively large results and don't
set a destination table fail with job error "responseTooLarge"

### Remediation

Adding a **LIMIT** clause can sometimes help, or removing the **ORDER BY** clause.
If you want to ensure that large results can return, you can specify a destination table
and also set the **allowLargeResults** option to true if using Legacy SQL.

### Further information

- [Learn how to write large query results in BigQuery](https://cloud.google.com/bigquery/docs/writing-results#large-results)
