---
title: "datafusion/ERR/2022_001"
linkTitle: "ERR/2022_001"
weight: 1
type: docs
description: >
  Firewall rules allow for Data Fusion to communicate to Dataproc VMs.
---

**Product**: [Cloud Data Fusion](https://cloud.google.com/data-fusion)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Cloud Data Fusion runs in a Google managed tenant project.
In Data Fusion versions below 6.2.0 and private Data Fusion instances
the Google managed resources in the tenant project need to be able to
communicate to the Dataproc running pipeline jobs in the client project.


### Remediation

- If your Cloud Data Fusion is private, create the [allow-ssh firewall rule](https://cloud.google.com/data-fusion/docs/how-to/create-private-ip#create_a_firewall_rule)
with a high priority (e.g `--priority=100`) to overide any conflicting
firewall rules that may be blocking communication.

- If your Cloud Data Fusion is public and has a version below 6.2.0
create the [Default allow ssh firewall rule](https://cloud.google.com/data-fusion/docs/concepts/networking#firewall-rules) with a high priority (e.g `--priority=100`)
to overide any conflicting firewall rules that may be blocking communication.

### Further information

- You can find the firewall version disclamer
in the `Creating a Cloud Data Fusion instance` [Before you begin](https://cloud.google.com/data-fusion/docs/how-to/create-instance#before_you_begin) section.
