---
title: "datafusion/ERR/2022_006"
linkTitle: "ERR/2022_006"
weight: 1
type: docs
description: >
  Private Google Access enabled for private Data Fusion instance subnetwork.
---

**Product**: [Cloud Data Fusion](https://cloud.google.com/data-fusion)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The region where you create your private Cloud Data Fusion instance must
have a subnet with Private Google Access enabled.

This allows for your jobs to make API requests to Google services.

### Remediation

By default Data Fusion uses the very first subnetwork located in the
configured instance network for the region of the Data Fusion instance.

- You may also override the subnetwork used via a [Compute Profile](https://cdap.atlassian.net/wiki/spaces/DOCS/pages/480314016/Creating+Compute+Profiles).

You are required to enable `Private Google Access` on the
subnetwork configured for the private Data Fusion instance.

### Further information

- You can find details about how to [Enable Private Google Access](https://cloud.google.com/vpc/docs/configure-private-google-access#config-pga) in our VPC guide.
