---
title: "gce/BP/2022_003"
linkTitle: "BP/2022_003"
weight: 1
type: docs
description: >
  GCE unattached bootable disk.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: BP - Something that is possibly wrong

### Description

Unattached bootable disks are abandoned or orphaned resources that are detached
from a instance or service.

You might want to delete abandoned and unused bootable disks and lowers your overall costs.

### Remediation

Find an unattached disk:

```
gcloud compute disks list --filter="-users:*"
```

Delete unattached disk:

```
gcloud compute disks delete <DISK_NAME> --zone=<ZONE>
```

### Further information

- [Detaching and reattaching boot disks](https://cloud.google.com/compute/docs/disks/detach-reattach-boot-disk)
- [List Google Compute Engine disks](https://cloud.google.com/sdk/gcloud/reference/compute/disks/list)
- [Delete a Compute Engine disk](https://cloud.google.com/sdk/gcloud/reference/compute/disks/delete)
