---
title: "gce/WARN/2022_004"
linkTitle: "WARN/2022_004"
weight: 1
type: docs
description: >
  Cloud SQL Docker bridge network should be avoided.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The IP range 172.17.0.0/16 is reserved for the Docker bridge network.
Connections from any IP within that range to Cloud SQL instances using private
IP fail.

### Remediation

Make sure that you do not use Docker bridge network for instances that need to
access Cloud SQL via private ip.

### Further information
 - [Configure private IP](https://cloud.google.com/sql/docs/mysql/configure-private-ip)
