---
title: "gcf/ERR/2022_002"
linkTitle: "ERR/2022_002"
weight: 1
type: docs
description: >
  Cloud Function deployment failure due to Resource Location Constraint.
---

**Product**: [Cloud Functions](https://cloud.google.com/functions)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Function is deployed in a region not allowed by the Organization Policy

There is an Organization Policy in place for your project with a constraint named Resource Location Restriction. This restricts the physical location of the new resource (in your case Cloud Functions) that you are trying to deploy. Thus you are facing the error The request has violated one or more Org Policies. Please refer to the respective violations for more information.

### Remediation






### Further information
- [Troubleshooting Cloud Functions](https://cloud.google.com/functions/docs/troubleshooting#resource-location)
- [Organization policy constraints](https://cloud.google.com/resource-manager/docs/organization-policy/org-policy-constraints)
- [Restricting Resource Locations](https://cloud.google.com/resource-manager/docs/organization-policy/defining-locations)
