---
title: "gke/ERR/2021_012"
linkTitle: "ERR/2021_012"
weight: 1
type: docs
description: >
  Node pool service account exists and is not disabled.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Disabling or deleting the service account used by a node pool will render the
node pool not functional.

### Remediation

Restore the default compute account or service account that was specified when
the node pool was created.

### Further information

- [gcloud beta iam service-accounts
  undelete](https://cloud.google.com/sdk/gcloud/reference/beta/iam/service-accounts/undelete)
